<template>
  <span class="ModalBoardDelete">

    <b-button v-b-modal.m-board-delete variant="danger" class='ml-2'><font-awesome-icon icon="trash-alt" /></b-button>

    <b-modal hide-footer id="m-board-delete" centered title="Are you sure you want to delete this board?">

      <template>
        <div class="w-100">
          <b-button
            variant="danger"
            class="float-right ml-2"
            @click="$bvModal.hide('m-board-delete'); deleteBoard();"
          >
            Yes
          </b-button>
          <b-button
            variant="success"
            class="float-right ml-2"
            @click="$bvModal.hide('m-board-delete')"
          >
            No
          </b-button>
        </div>
      </template>
    </b-modal> 

  </span>
</template>

<script>
import axios from 'axios';

export default {
  name: 'ModalBoardDelete',
  props: ['board'],

  methods:{
    deleteBoard(){


      axios.delete(`${process.env.VUE_APP_URL}/boards/${this.board._id}`)
      .then(response => {
          console.log(response.data)
          window.location = '/'; 
          //+toast
      })
      .catch(error => alert("error " + error))

    }
  }
}
</script>


<style scoped>
#ModalBoardDelete{
}
</style>
